## org.eclipse.datatools.connectivity.oda.design
Interface DesignFactory

public interface DesignFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `DesignPackage`

Field Summary
`static java.lang.String` `copyright`
`static DesignFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`AxisAttributes` `createAxisAttributes()` Returns a new object of class 'Axis Attributes'.
`ColumnDefinition` `createColumnDefinition()` Returns a new object of class 'Column Definition'.
`DataAccessDesign` `createDataAccessDesign()` Returns a new object of class 'Data Access Design'.
`DataElementAttributes` `createDataElementAttributes()` Returns a new object of class 'Data Element Attributes'.
`DataElementUIHints` `createDataElementUIHints()` Returns a new object of class 'Data Element UI Hints'.
`DataSetDesign` `createDataSetDesign()` Returns a new object of class 'Data Set Design'.
`DataSetParameters` `createDataSetParameters()` Returns a new object of class 'Data Set Parameters'.
`DataSetQuery` `createDataSetQuery()` Returns a new object of class 'Data Set Query'.
`DataSourceDesign` `createDataSourceDesign()` Returns a new object of class 'Data Source Design'.
`DesignerState` `createDesignerState()` Returns a new object of class 'Designer State'.
`DesignerStateContent` `createDesignerStateContent()` Returns a new object of class 'Designer State Content'.
`DesignSessionRequest` `createDesignSessionRequest()` Returns a new object of class 'Session Request'.
`DesignSessionRequest` `createDesignSessionRequest(DataSetDesign dataSetDesign)` Creates and returns a new object of class 'Session Request' that contains the given DataSetDesign.
`DesignSessionRequest` `createDesignSessionRequest(DataSourceDesign dataSourceDesign)` Creates and returns a new object of class 'Session Request' that contains the given DataSourceDesign.
`DesignSessionResponse` `createDesignSessionResponse()` Returns a new object of class 'Session Response'.
`DocumentRoot` `createDocumentRoot()` Returns a new object of class 'Document Root'.
`DynamicValuesQuery` `createDynamicValuesQuery()` Returns a new object of class 'Dynamic Values Query'.
`InputElementAttributes` `createInputElementAttributes()` Returns a new object of class 'Input Element Attributes'.
`InputElementUIHints` `createInputElementUIHints()` Returns a new object of class 'Input Element UI Hints'.
`InputParameterAttributes` `createInputParameterAttributes()` Returns a new object of class 'Input Parameter Attributes'.
`InputParameterUIHints` `createInputParameterUIHints()` Returns a new object of class 'Input Parameter UI Hints'.
`Locale` `createLocale()` Returns a new object of class 'Locale'.
`NameValuePair` `createNameValuePair()` Returns a new object of class 'Name Value Pair'.
`OdaDesignSession` `createOdaDesignSession()` Returns a new object of class 'Oda Design Session'.
`OutputElementAttributes` `createOutputElementAttributes()` Returns a new object of class 'Output Element Attributes'.
`ParameterDefinition` `createParameterDefinition()` Returns a new object of class 'Parameter Definition'.
`ParameterFieldDefinition` `createParameterFieldDefinition()` Returns a new object of class 'Parameter Field Definition'.
`ParameterFields` `createParameterFields()` Returns a new object of class 'Parameter Fields'.
`Properties` `createProperties()` Returns a new object of class 'Properties'.
`Property` `createProperty()` Returns a new object of class 'Property'.
`PropertyAttributes` `createPropertyAttributes()` Returns a new object of class 'Property Attributes'.
`OdaDesignSession` `createRequestDesignSession(DataSourceDesign dataSourceDesign)` Creates and returns an OdaDesignSession instance with a DesignSessionRequest that contains the given DataSourceDesign.
`OdaDesignSession` `createResponseDesignSession(boolean isSessionOk, DataSourceDesign dataSourceDesign)` Creates and returns a new OdaDesignSession instance with a DesignSessionResponse that contains the given session status and DataSourceDesign.
`ResultSetColumns` `createResultSetColumns()` Returns a new object of class 'Result Set Columns'.
`ResultSetDefinition` `createResultSetDefinition()` Returns a new object of class 'Result Set Definition'.
`ResultSets` `createResultSets()` Returns a new object of class 'Result Sets'.
`ScalarValueChoices` `createScalarValueChoices()` Returns a new object of class 'Scalar Value Choices'.
`ScalarValueDefinition` `createScalarValueDefinition()` Returns a new object of class 'Scalar Value Definition'.
`ValueFormatHints` `createValueFormatHints()` Returns a new object of class 'Value Format Hints'.
`DesignPackage` `getDesignPackage()` Returns the package supported by this factory.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### eINSTANCE

    public static final DesignFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAxisAttributes

    public AxisAttributes createAxisAttributes()

  Returns a new object of class 'Axis Attributes'.

  Returns:
    a new object of class 'Axis Attributes'.

### createColumnDefinition

    public ColumnDefinition createColumnDefinition()

  Returns a new object of class 'Column Definition'.

  Returns:
    a new object of class 'Column Definition'.

### createDataAccessDesign

    public DataAccessDesign createDataAccessDesign()

  Returns a new object of class 'Data Access Design'.

  Returns:
    a new object of class 'Data Access Design'.

### createDataElementAttributes

    public DataElementAttributes createDataElementAttributes()

  Returns a new object of class 'Data Element Attributes'.

  Returns:
    a new object of class 'Data Element Attributes'.

### createDataElementUIHints

    public DataElementUIHints createDataElementUIHints()

  Returns a new object of class 'Data Element UI Hints'.

  Returns:
    a new object of class 'Data Element UI Hints'.

### createDataSetDesign

    public DataSetDesign createDataSetDesign()

  Returns a new object of class 'Data Set Design'.

  Returns:
    a new object of class 'Data Set Design'.

### createDataSetParameters

    public DataSetParameters createDataSetParameters()

  Returns a new object of class 'Data Set Parameters'.

  Returns:
    a new object of class 'Data Set Parameters'.

### createDataSetQuery

    public DataSetQuery createDataSetQuery()

  Returns a new object of class 'Data Set Query'.

  Returns:
    a new object of class 'Data Set Query'.

### createDataSourceDesign

    public DataSourceDesign createDataSourceDesign()

  Returns a new object of class 'Data Source Design'.

  Returns:
    a new object of class 'Data Source Design'.

### createDesignerState

    public DesignerState createDesignerState()

  Returns a new object of class 'Designer State'.

  Returns:
    a new object of class 'Designer State'.

### createDesignerStateContent

    public DesignerStateContent createDesignerStateContent()

  Returns a new object of class 'Designer State Content'.

  Returns:
    a new object of class 'Designer State Content'.

### createDesignSessionRequest

    public DesignSessionRequest createDesignSessionRequest()

  Returns a new object of class 'Session Request'.

  Returns:
    a new object of class 'Session Request'.

### createDesignSessionResponse

    public DesignSessionResponse createDesignSessionResponse()

  Returns a new object of class 'Session Response'.

  Returns:
    a new object of class 'Session Response'.

### createDocumentRoot

    public DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createDynamicValuesQuery

    public DynamicValuesQuery createDynamicValuesQuery()

  Returns a new object of class 'Dynamic Values Query'.

  Returns:
    a new object of class 'Dynamic Values Query'.

### createInputElementAttributes

    public InputElementAttributes createInputElementAttributes()

  Returns a new object of class 'Input Element Attributes'.

  Returns:
    a new object of class 'Input Element Attributes'.

### createInputElementUIHints

    public InputElementUIHints createInputElementUIHints()

  Returns a new object of class 'Input Element UI Hints'.

  Returns:
    a new object of class 'Input Element UI Hints'.

### createInputParameterAttributes

    public InputParameterAttributes createInputParameterAttributes()

  Returns a new object of class 'Input Parameter Attributes'.

  Returns:
    a new object of class 'Input Parameter Attributes'.

### createInputParameterUIHints

    public InputParameterUIHints createInputParameterUIHints()

  Returns a new object of class 'Input Parameter UI Hints'.

  Returns:
    a new object of class 'Input Parameter UI Hints'.

### createLocale

    public Locale createLocale()

  Returns a new object of class 'Locale'.

  Returns:
    a new object of class 'Locale'.

### createNameValuePair

    public NameValuePair createNameValuePair()

  Returns a new object of class 'Name Value Pair'.

  Returns:
    a new object of class 'Name Value Pair'.

### createOdaDesignSession

    public OdaDesignSession createOdaDesignSession()

  Returns a new object of class 'Oda Design Session'.

  Returns:
    a new object of class 'Oda Design Session'.

### createOutputElementAttributes

    public OutputElementAttributes createOutputElementAttributes()

  Returns a new object of class 'Output Element Attributes'.

  Returns:
    a new object of class 'Output Element Attributes'.

### createParameterDefinition

    public ParameterDefinition createParameterDefinition()

  Returns a new object of class 'Parameter Definition'.

  Returns:
    a new object of class 'Parameter Definition'.

### createParameterFieldDefinition

    public ParameterFieldDefinition createParameterFieldDefinition()

  Returns a new object of class 'Parameter Field Definition'.

  Returns:
    a new object of class 'Parameter Field Definition'.

### createParameterFields

    public ParameterFields createParameterFields()

  Returns a new object of class 'Parameter Fields'.

  Returns:
    a new object of class 'Parameter Fields'.

### createProperties

    public Properties createProperties()

  Returns a new object of class 'Properties'.

  Returns:
    a new object of class 'Properties'.

### createProperty

    public Property createProperty()

  Returns a new object of class 'Property'.

  Returns:
    a new object of class 'Property'.

### createPropertyAttributes

    public PropertyAttributes createPropertyAttributes()

  Returns a new object of class 'Property Attributes'.

  Returns:
    a new object of class 'Property Attributes'.

### createResultSetColumns

    public ResultSetColumns createResultSetColumns()

  Returns a new object of class 'Result Set Columns'.

  Returns:
    a new object of class 'Result Set Columns'.

### createResultSetDefinition

    public ResultSetDefinition createResultSetDefinition()

  Returns a new object of class 'Result Set Definition'.

  Returns:
    a new object of class 'Result Set Definition'.

### createResultSets

    public ResultSets createResultSets()

  Returns a new object of class 'Result Sets'.

  Returns:
    a new object of class 'Result Sets'.

### createScalarValueChoices

    public ScalarValueChoices createScalarValueChoices()

  Returns a new object of class 'Scalar Value Choices'.

  Returns:
    a new object of class 'Scalar Value Choices'.

### createScalarValueDefinition

    public ScalarValueDefinition createScalarValueDefinition()

  Returns a new object of class 'Scalar Value Definition'.

  Returns:
    a new object of class 'Scalar Value Definition'.

### createValueFormatHints

    public ValueFormatHints createValueFormatHints()

  Returns a new object of class 'Value Format Hints'.

  Returns:
    a new object of class 'Value Format Hints'.

### getDesignPackage

    public DesignPackage getDesignPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

### createDesignSessionRequest

    public DesignSessionRequest createDesignSessionRequest(DataSourceDesign dataSourceDesign)

  Creates and returns a new object of class 'Session Request' that contains the given DataSourceDesign.
  This may be used by an ODA host designer to create a design session request to create/edit a data source design definition.

  Parameters:
    `dataSourceDesign` - the data source design to edit; may be null for a request to create a new data source design
  Returns:
    a new object of class 'Session Request'.
  See Also:
    `createDesignSessionRequest()`

### createDesignSessionRequest

    public DesignSessionRequest createDesignSessionRequest(DataSetDesign dataSetDesign)

  Creates and returns a new object of class 'Session Request' that contains the given DataSetDesign.
  This may be used by an ODA host designer to create a design session request to edit a data set design definition.

  Parameters:
    `dataSetDesign` - the data set design to edit
  Returns:
    a new object of class 'Session Request'.
  See Also:
    `createDesignSessionRequest()`

### createRequestDesignSession

    public OdaDesignSession createRequestDesignSession(DataSourceDesign dataSourceDesign)

  Creates and returns an OdaDesignSession instance with a DesignSessionRequest that contains the given DataSourceDesign.
  This may be used by an ODA host designer to create a design session instance, for use to create/edit a data source design definition, or to create a new data set design with a given data source design.

  Parameters:
    `dataSourceDesign` - the data source design to edit; may be null for a session to create a new data source design
  See Also:
    `createDesignSessionRequest(DataSourceDesign)`

### createResponseDesignSession

    public OdaDesignSession createResponseDesignSession(boolean isSessionOk,
                                                        DataSourceDesign dataSourceDesign)

  Creates and returns a new OdaDesignSession instance with a DesignSessionResponse that contains the given session status and DataSourceDesign.
  This method may be used by an ODA driver's design UI extension to create a new design session instance with a response that contains a new or edited data source design definition.
  The returned session instance also includes an appropriate DesignSessionRequest to meet the contract for API objects content.

  Parameters:
    `isSessionOk` -
    `dataSourceDesign` -
  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.